Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class AbstractLobType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.AbstractLobType

All Implemented Interfaces:
  Serializable, org.hibernate.type.Type

Direct Known Subclasses:
  ByteArrayBlobType, SerializableToBlobType

    public abstract class AbstractLobType

extends org.hibernate.type.AbstractType
implements Serializable

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`AbstractLobType()`

Method Summary
`protected abstract Object` | `get(ResultSet rs, String name)`
`int` | `getColumnSpan(org.hibernate.engine.Mapping mapping)`
`int` | `getHashCode(Object x, org.hibernate.EntityMode entityMode)`
`String` | `getName()`
`boolean` | `isDirty(Object old, Object current, boolean[] checkable, org.hibernate.engine.SessionImplementor session)`
`boolean` | `isEqual(Object x, Object y, org.hibernate.EntityMode entityMode)`
`Object` | `nullSafeGet(ResultSet rs, String[] names, org.hibernate.engine.SessionImplementor session, Object owner)`
`Object` | `nullSafeGet(ResultSet rs, String name, org.hibernate.engine.SessionImplementor session, Object owner)`
`void` | `nullSafeSet(PreparedStatement st, Object value, int index, boolean[] settable, org.hibernate.engine.SessionImplementor session)`
`void` | `nullSafeSet(PreparedStatement st, Object value, int index, org.hibernate.engine.SessionImplementor session)`
`protected abstract void` | `set(PreparedStatement st, Object value, int index, org.hibernate.engine.SessionImplementor session)`

Methods inherited from class org.hibernate.type.AbstractType
`assemble, beforeAssemble, compare, disassemble, getHashCode, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isEntityType, isEqual, isModified, isSame, isXMLElement, replace, replaceNode, resolve, semiResolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type
`deepCopy, fromXMLNode, getReturnedClass, isMutable, replace, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Constructor Detail

### AbstractLobType

    public AbstractLobType()

Method Detail

### isDirty

    public boolean isDirty(Object old,
                           Object current,
                           boolean[] checkable,
                           org.hibernate.engine.SessionImplementor session)
                    throws org.hibernate.HibernateException

  Specified by:
    `isDirty` in interface `org.hibernate.type.Type`
  Throws:
    `org.hibernate.HibernateException`

### isEqual

    public boolean isEqual(Object x,
                           Object y,
                           org.hibernate.EntityMode entityMode)

  Specified by:
    `isEqual` in interface `org.hibernate.type.Type`
  Overrides:
    `isEqual` in class `org.hibernate.type.AbstractType`

### getHashCode

    public int getHashCode(Object x,
                           org.hibernate.EntityMode entityMode)

  Specified by:
    `getHashCode` in interface `org.hibernate.type.Type`
  Overrides:
    `getHashCode` in class `org.hibernate.type.AbstractType`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.hibernate.type.Type`

### getColumnSpan

    public int getColumnSpan(org.hibernate.engine.Mapping mapping)
                      throws org.hibernate.MappingException

  Specified by:
    `getColumnSpan` in interface `org.hibernate.type.Type`
  Throws:
    `org.hibernate.MappingException`

### get

    protected abstract Object get(ResultSet rs,
                                  String name)
                           throws SQLException

  Throws:
    `SQLException`

### nullSafeGet

    public Object nullSafeGet(ResultSet rs,
                              String[] names,
                              org.hibernate.engine.SessionImplementor session,
                              Object owner)
                       throws org.hibernate.HibernateException,
                              SQLException

  Specified by:
    `nullSafeGet` in interface `org.hibernate.type.Type`
  Throws:
    `org.hibernate.HibernateException`
    `SQLException`

### nullSafeGet

    public Object nullSafeGet(ResultSet rs,
                              String name,
                              org.hibernate.engine.SessionImplementor session,
                              Object owner)
                       throws org.hibernate.HibernateException,
                              SQLException

  Specified by:
    `nullSafeGet` in interface `org.hibernate.type.Type`
  Throws:
    `org.hibernate.HibernateException`
    `SQLException`

### nullSafeSet

    public void nullSafeSet(PreparedStatement st,
                            Object value,
                            int index,
                            boolean[] settable,
                            org.hibernate.engine.SessionImplementor session)
                     throws org.hibernate.HibernateException,
                            SQLException

  Specified by:
    `nullSafeSet` in interface `org.hibernate.type.Type`
  Throws:
    `org.hibernate.HibernateException`
    `SQLException`

### set

    protected abstract void set(PreparedStatement st,
                                Object value,
                                int index,
                                org.hibernate.engine.SessionImplementor session)
                         throws SQLException

  Throws:
    `SQLException`

### nullSafeSet

    public void nullSafeSet(PreparedStatement st,
                            Object value,
                            int index,
                            org.hibernate.engine.SessionImplementor session)
                     throws org.hibernate.HibernateException,
                            SQLException

  Specified by:
    `nullSafeSet` in interface `org.hibernate.type.Type`
  Throws:
    `org.hibernate.HibernateException`
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD